@ECHO DEMO Version 24.10.30
@ECHO **************** Call cc.bat to compile files ****************
call cc
@ECHO OFF
@ECHO **************** Copy files for demo **************** 
copy demo\*.dat
copy demo\*.inf
copy demo\*.csv
@ECHO ON
@ECHO **************** Demo: Calibrate measured SPD using NIST tracable standard ***************
@ECHO eg. Calibrate rgb_r (Assume ww measured by Ocean Optics AND by NIST standard)
@ECHO *** STEP 1. Convert measured OCEAN files into 2 data column files (tc is on first line of files)
procOcean rgb_r19
procOcean WW19
@ECHO *** STEP 2. Use the warm white strip as standard for calibration
calibrate rgb_r19 standard ww19
gnuplot rgb_r19.plt
@ECHO *** STEP 3. Check: Compare measured (rgb_r19) SPD and that calibrated with NIST standard
whitespd demo\w_calibCHK.csv r 1
type out\spdpar.csv
gnuplot combine.plt
@ECHO **************** Demo: Build, analyse SPD using whitespd() ***************
@ECHO *** STEP 1. Plot Input SPDs to be used to build the SPDs
whitespd demo\w_input.csv r 1
type out\spdpar.csv
gnuplot combine.plt
@ECHO *** STEP 2. Use input SPDs (read weights from file) to build SPDs for key times, calculate parameters, plot
whitespd demo\w_set.csv r 1
type out\spdpar.csv
gnuplot combine.plt
@ECHO  **************** Demo: Interpolate between key times to simulate 24-hr lighting, plot par ***************  
dayinterp demo\w_build.csv
whitespd dayinterp.csv r 0
gnuplot spdpar_day.plt
@ECHO **************** Demo: Convert schedule to a file to run on microcontroller ***************  
day2esp demo\w_build.csv
type espsched.h
pause
@ECHO **************** Demo: Post Processing Module ***************  
post 75 6 cct < out\spdpar.csv > post.csv
gnuplot demo/post.plt
type post.csv