#include "common.h"
/*
alpha.c; calculates alpha-optic for a given SPD (spectral power distribution)
(c)2023, 2024 Jonathon David White (jonathondavid@gmail.com)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see 
<https://www.gnu.org/licenses/gpl-3.0.en.html>.

If you choose to make use of this program or subroutines in your work, 
we would appreciate it if you would cite our paper 
"Building Circadian Effective Spectra: A C Language Toolkit"

You may download the latest version of the code from https://www.whiteslight.com
*/
#define VS_CALCALPHAOPICELR 240619
struct SPDparameters calcAlphaOpicELR(struct SPD spec, struct SPD action[], struct SPDparameters p){
	int nm,k;
	double s[MALPHA]={0.8173,1.4558,1.6289,1.4497,1.3262,1.46412};
	for(k=0;k<MALPHA;k++){
		p.a_opic[k]=0.0;       
		for(nm=NM_START;nm<NM_END;nm++)
			p.a_opic[k]+=action[k].y[nm]*spec.y[nm];
	}
	p.mEDI=p.a_opic[_M]/s[_M];
	p.a_opic[_PLUX]/=s[_PLUX]; 		
	for(k=0;k<MALPHA-1;k++)p.a_opic[k]/=p.a_opic[_PLUX];
	return(p);	
}