/*
buildspd.c; builds SPD from weighted input SPDs
(c)2023 Jonathon David White (jonathondavid@gmail.com)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see 
<https://www.gnu.org/licenses/gpl-3.0.en.html>.

If you choose to make use of this program or subroutines in your work, 
we would appreciate it if you would cite our paper 
"Building Circadian Effective Spectra: A C Language Toolkit"

You may download the latest version of the code from https://www.whiteslight.com
*/

#include "common.h"
#define VS_BUILDSPD 230705
struct SPD buildSPD(struct SPD_weight w,struct SPD spdBasis[]){
	int ich, nm;
	struct SPD s={"na",{0.0}};
	sprintf(bprn,"\nbuildSPD(%d): ",VS_BUILDSPD);
	strcpy(s.fname,w.fname);
	for(ich=0;ich<MCH;ich++){
		if(w.fraction[ich]<EPS)continue;
		for(nm=NM_START;nm<NM_END;nm++)s.y[nm]+=(w.fraction[ich]*spdBasis[ich].y[nm]);
		sprintf(bprn,"%s %s(%5.2lf) + ",bprn,spdBasis[ich].fname,w.fraction[ich]);
		if(w.fraction[ich]>EPS)
			s.cost[COST_FRONT]+=((int)(w.fraction[ich]-EPS)+1)*spdBasis[ich].cost[COST_FRONT];
		s.cost[POWER]+= w.fraction[ich]*spdBasis[ich].cost[POWER];	
	}
	bprn[strlen(bprn)-2]='\0';

	return(s);
}
