set size 1.0, 1.0
set title 'SPD(time) parameters' font ",12"
set key font ",16"
set key left top
set datafile separator ';'
set xlabel 'Time From Midnight [s]' 
set x2label 'Time [hr]' font ",16"
set xtics 3600 nomirror font ",8"
set x2tics 1 nomirror font ",14"
set xrange [0:86400]
set x2range [0:24]
set grid x2tics lw 3
set ytics  nomirror font ",14" offset 0,0
set y2tics nomirror font ",14" offset 0,0

set style line 1 lt 1 lw 5 pt 3 linecolor rgb "black"
set style line 2 lt 1 lw 5 pt 3 linecolor rgb "grey"
set style line 3 lt 1 lw 5 pt 3 linecolor rgb "blue"
set style line 4 lt 1 lw 5 pt 5 linecolor rgb "green"
set style line 5 lt 1 lw 5 pt 3 linecolor rgb "red"
set style line 6 lt 1 lw 5 pt 3 linecolor rgb "aquamarine"
set style line 7 lt 1 lw 5 pt 3 linecolor rgb "goldenrod"



# CRI/duv
set title 'Visual Quality of Light' font ",18"
set ylabel 'Duv(T)' font ",16"
set yrange [-0.01:0.01]
set y2label 'CRI' font ",16"
set y2range [80:100]
plot  "out/spdpar.csv" using 2:8 with lines ls 1 axis x1y1 title "Duv(T)",\
	  "out/spdpar.csv" using 2:9 with lines ls 3 axis x1y2 title "CRI" 
pause mouse


# CCT / alpha-opic
set title 'CCT and Key alpha-opic Parameters' font ",18"
set ylabel 'CCT (K)' font ",16" 
set yrange [2000:7000]
set y2label 'alpha-opic ELR(mW/lm)' font ",16"
set y2range [0:3.0]

plot "out/spdpar.csv" using 2:7 with lines ls 1 axis x1y1 title "CCT",\
	"out/spdpar.csv" using 2:15 with lines ls 6 axis x1y2 title "m-ELR",\
	"out/spdpar.csv" using 2:14 with lines ls 2 axis x1y2 title "r-ELR"

	
pause mouse
# Lx/Energy
set title 'Illuminance and Power Consumption' font ",18"
set ylabel 'Illuminance (lx)' font ",16"
set yrange [0:1000]
set y2label 'Electrical Power (W/m^2)' font ",16"
set y2range [0:50]
plot "out/spdpar.csv" using 2:17 with lines ls 1 axis x1y1 title "lx (hor)",\
	"out/spdpar.csv" using 2:18 with lines ls 6 axis x1y1 title "m-EDI (vert)",\
	"out/spdpar.csv" using 2:21 with lines ls 2 axis x1y2 title "Power"
pause mouse